<?php

require_once ("../../config/Cado.php");

require_once ("cCuentas.php");

$oCuenta = new cCuentas();



if($_POST['action']=="insertar")

{

	$cuetip_id=$_POST['cuetip_id'];

}



if($_POST['action']=="editar")

{

	$dts=$oCuenta->mostrarUno($_POST['cue_id']);

	$dt = mysqli_fetch_array($dts);

	$cue_cod =$dt['tb_cuenta_cod'];

	$cue_nom =$dt['tb_cuenta_nom'];

	$cue_ord =$dt['tb_cuenta_ord'];

	$cuetip_id    =$dt['tb_cuentatipo_id'];

	$mod_id    =$dt['tb_modulo_id'];

	mysqli_free_result($dts);

}

?>



				<form role="form" id="for_cue" method="POST">

					<input name="action_cuentas" id="action_cuentas" type="hidden" value="<?php echo $_POST['action']?>">

					<input name="hdd_cue_id" id="hdd_cue_id" type="hidden" value="<?php echo $_POST['cue_id']?>">

					<div class="box-header">

						<h3 class="box-title">Información de la Cuenta</h3>

					</div>

					<div class="box-body">



						<div class="form-group">

							<div class="row">        

								<div class="col-lg-4 col-xs-6">

									<label for="cmb_cuetip_id">Tipo:</label>

									<select name="cmb_cuetip_id" id="cmb_cuetip_id" class="form-control"></select>

								</div>

								<div class="col-lg-6 col-xs-6">

									<label for="txt_cue_nom">Nombre:</label>

									<input name="txt_cue_nom" id="txt_cue_nom" value="<?php echo $cue_nom;?>" type="text"  class="form-control">

								</div> 



								<div style="display: none" class="col-lg-1 col-xs-6">

									<label for="txt_cue_cod">Codigo:</label>

									<input name="txt_cue_cod" type="text" id="txt_cue_cod" value="<?php echo $cue_cod; ?>"  maxlength="50" class="form-control"> 

								</div> 



								<div class="col-lg-4 col-xs-6">

									<label for="txt_cue_ord">Orden:</label>

									<input name="txt_cue_ord"  type="text" id="txt_cue_ord" value="<?php echo $cue_ord; ?>" maxlength="50"  class="form-control"> 

								</div> 



								<div class="col-lg-6 col-xs-6">

									<label for="cmb_mod_id">Módulo:</label>

									<select name="cmb_mod_id" id="cmb_mod_id" class="form-control"></select>

								</div> 

							</div> 

						</div>

					</div>

				</form>

				<div class="box-footer float-right ">

				<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>

				<button class="btn btn-primary" id="save_form">Guardar</button>

				</div>

		



<script type="text/javascript">



	function cmb_mod_id(idmod)

	{	

		$.ajax({

			type: "POST",

			url: "../modulo/cmb_mod_id.php",

			async:true,

			dataType: "html",                      

			data: ({

				mod_id: idmod

			}),

			beforeSend: function() {

				$('#cmb_mod_id').html('<option value="">Cargando...</option>');

			},

			success: function(html){

				$('#cmb_mod_id').html(html);

			}

		});

	}



	function cmb_cuetip_id(ctatip_id)

	{	

		$.ajax({

			type: "POST",

			url: "../cuentatipo/cmb_cuetip_id.php",

			async:true,

			dataType: "html",                      

			data: ({

				cuetip_id: ctatip_id

			}),

			beforeSend: function() {

				$('#cmb_cuetip_id').html('<option value="">Cargando...</option>');

			},

			success: function(html){

				$('#cmb_cuetip_id').html(html);

			}

		});

	}



	cmb_mod_id(<?php echo $mod_id?>);

	cmb_cuetip_id(<?php echo $cuetip_id?>);



	$('#txt_cue_cod,#txt_cue_nom').change(function(){

		$(this).val($(this).val().toUpperCase());

	});



	$("#save_form").click(function() {

		$("#for_cue").submit();

	});



	$(document).ready(function() {



		$('#for_cue').bootstrapValidator({

	      message: 'Valor no Valido',

	      feedbackIcons: {

	      	valid: 'glyphicon glyphicon-ok',

	      	invalid: 'glyphicon glyphicon-remove',

	      	validating: 'glyphicon glyphicon-refresh'

	      },

	      fields: {	      	      

	      	txt_cue_nom: {

	      		group: '.col-lg-4',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

	      	txt_cue_ord: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

	      	cmb_cuetip_id: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Este campo es requerido'

	      			}

	      		}

	      	},

	      }

	  }).on('success.form.bv', function(e) {

	  	

	  	$.ajax({

				type: "POST",

				url: "../cuentas/cuentas_reg.php",

				async:true,

				dataType: "html",

				data: $("#for_cue").serialize(),

				beforeSend: function() {

					

				},

				success: function(html){						

					$('.modal').modal('hide');

					$('.in').removeClass('modal-backdrop');			

					toastr["success"](html);					

				},

				complete: function(){

					cuentas_tabla();				

				}			

			});

	  });





	  $('#cmb_cuetip_id').focus();



	  $('#cmb_cuetip_id').keydown(function(ev) {

	  	if(ev.keyCode==13){$('#txt_cue_nom').focus(); return false;}

	  });

	  $('#txt_cue_nom').keydown(function(ev) {

	  	if(ev.keyCode==13){$('#txt_cue_ord').focus(); return false;}

	  });

	  $('#txt_cue_ord').keydown(function(ev) {

	  	if(ev.keyCode==13){$('#cmb_mod_id').focus(); return false;}

	  });

	  $('#cmb_mod_id').keydown(function(ev) {

	  	if(ev.keyCode==13){$('#save_form').focus(); return false;}

	  });



	});

	



	

	

</script>